Ending Support for Android 4.3.1 and iOS 8

Summoners,

From April 1st 2019, we will no longer be supporting devices running operating systems below Android OS 4.4, or iOS 9.

As we keep improving and evolving The Contest, it naturally starts to outgrow the limitations of older devices and operating systems.

While we make every effort we can to ensure that the greatest range of Devices and Operating Systems will effectively run Marvel Contest of Champions, we do eventually hit a point where some older operating systems cannot be supported.

This is an unavoidable part of the lifecycle of devices that even the manufacturers cannot avoid, as they also eventually must stop support for their own products.

Prior to April 1st, we recommend that you update to the latest OS version available for your device to ensure that you do not suffer from any lost play time.

If you can’t update by April 1st, Please ensure that you have registered or linked your account to a Kabam ID before that date.

Signing up for a Kabam ID saves you account and ensures that you can retrieve it when you log back in with a device using a supported OS.

For more information on supported devices and operating systems, click here. Thank you all for your continued support and interest in The Contest.
Sign In or Register to comment.